O:39:"phpDocumentor\Descriptor\FileDescriptor":20:{s:7:" * hash";s:32:"265e38b2309979e6a159e34ecb5ce99e";s:9:" * source";s:9204:"<?php
/**
 * A Cloud Databases instance (similar to a Compute Server)
 *
 * @copyright 2012-2013 Rackspace Hosting, Inc.
 * See COPYING for licensing information
 *
 * @package phpOpenCloud
 * @version 1.0
 * @author Glen Campbell <glen.campbell@rackspace.com>
 */

namespace OpenCloud\Database;

use OpenCloud\Common\Collection;
use OpenCloud\Common\PersistentObject;
use OpenCloud\Common\Lang;
use OpenCloud\Common\Exceptions;
use OpenCloud\Compute\Flavor;

/**
 * Instance represents an instance of DbService, similar to a Server in a
 * Compute service
 *
 * @author Glen Campbell <glen.campbell@rackspace.com>
 */
class Instance extends PersistentObject 
{

    public $id;
    public $name;
    public $status;
    public $links;
    public $hostname;
    public $volume;
    public $created;
    public $updated;
    public $flavor;
    
    protected static $json_name = 'instance';
    protected static $url_resource = 'instances';

    private $_databases;    // used to Create databases simultaneously
    private $_users;        // used to Create users simultaneously

    /**
     * Creates a new instance object
     *
     * This could use the default constructor, but we want to make sure that
     * the volume attribute is an object.
     *
     * @param \OpenCloud\DbService $service the DbService object associated 
     *      with this
     * @param mixed $info the ID or array of info for the object
     */
    public function __construct(Service $service, $info = null) 
    {
        $this->volume = new \stdClass;
        return parent::__construct($service, $info);
    }

    /**
     * Updates a database instance (not permitted)
     *
     * Update() is not supported by database instances; thus, this always
     * throws an exception.
     *
     * @throws InstanceUpdateError always
     */
    public function Update($params = array()) 
    {
        throw new Exceptions\InstanceUpdateError(
            Lang::translate('Updates are not currently supported by Cloud Databases')
        );
    }

    /**
     * Restarts the database instance
     *
     * @api
     * @returns \OpenCloud\HttpResponse
     */
    public function Restart() 
    {
        return $this->Action($this->RestartJson());
    }

    /**
     * Resizes the database instance (sets RAM)
     *
     * @api
     * @param \OpenCloud\Compute\Flavor $flavor a flavor object
     * @returns \OpenCloud\HttpResponse
     */
    public function Resize(Flavor $flavor) 
    {
        return $this->Action($this->ResizeJson($flavor));
    }

    /**
     * Resizes the volume associated with the database instance (disk space)
     *
     * @api
     * @param integer $newvolumesize the size of the new volume, in gigabytes
     * @return \OpenCloud\HttpResponse
     */
    public function ResizeVolume($newvolumesize) 
    {
        return $this->Action($this->ResizeVolumeJson($newvolumesize));
    }

    /**
     * Enables the root user for the instance
     *
     * @api
     * @return User the root user, including name and password
     * @throws InstanceError if HTTP response is not Success
     */
    public function EnableRootUser() 
    {
        $response = $this->Service()->Request($this->Url('root'), 'POST');

        // check response
        if ($response->HttpStatus() > 202) {
            throw new Exceptions\InstanceError(sprintf(
                Lang::translate('Error enabling root user for instance [%s], status [%d] response [%s]'),
                $this->name, 
                $response->HttpStatus(), 
                $response->HttpBody()
            ));
        }

        $obj = json_decode($response->HttpBody());
        
        if ($this->CheckJsonError()) {
            return false;
        }

        if (isset($obj->user)) {
            return new User($this, $obj->user);
        } else {
            return false;
        }
    }

    /**
     * Returns TRUE if the root user is enabled
     *
     * @api
     * @return boolean TRUE if the root user is enabled; FALSE otherwise
     * @throws InstanceError if HTTP status is not Success
     */
    public function IsRootEnabled() 
    {
        $response = $this->Service()->Request($this->Url('root'), 'GET');

        // check response
        if ($response->HttpStatus() > 202) {
            throw new Exceptions\InstanceError(sprintf(
                Lang::translate('Error enabling root user for instance [%s], status [%d] response [%s]'),
                $this->name, 
                $response->HttpStatus(), 
                $response->HttpBody()
            ));
        }

        $obj = json_decode($response->HttpBody());

        if ($this->CheckJsonError()) {
            return false;
        }

        if (isset($obj->rootEnabled) && $obj->rootEnabled) {
            return true;
        } else {
            return false;
        }
    }

    /**
     * Returns a new Database object
     *
     * @param string $name the database name
     * @return Database
     */
    public function Database($name = '') 
    {
        return new Database($this, $name);
    }

    /**
     * Returns a new User object
     *
     * @param string $name the user name
     * @param array $databases a simple array of database names
     * @return User
     */
    public function User($name = '', $databases = array()) 
    {
        return new User($this, $name, $databases);
    }

    /**
     * Returns a Collection of all databases in the instance
     *
     * @return Collection
     * @throws DatabaseListError if HTTP status is not Success
     */
    public function DatabaseList() 
    {
        $response = $this->Service()->Request($this->Url('databases'));

        // check response status
        if ($response->HttpStatus() > 200) {
            throw new Exceptions\DatabaseListError(sprintf(
                Lang::translate('Error listing databases for instance [%s], status [%d] response [%s]'),
                $this->name, 
                $response->HttpStatus(), 
                $response->HttpBody()
            ));
        }

        // parse the response
        $obj = json_decode($response->HttpBody());

        if (!$this->CheckJsonError()) {
            if (!isset($obj->databases)) {
                return new Collection($this, '\OpenCloud\DbService\Database', array());
            }
            return new Collection($this, '\OpenCloud\DbService\Database', $obj->databases);
        }
        return false;
    }

    /**
     * Returns a Collection of all users in the instance
     *
     * @return Collection
     * @throws UserListError if HTTP status is not Success
     */
    public function UserList() 
    {
        $response = $this->Service()->Request($this->Url('users'));

        // check response status
        if ($response->HttpStatus() > 200) {
            throw new Exceptions\UserListError(sprintf(
                Lang::translate('Error listing users for instance [%s], status [%d] response [%s]'),
                $this->name, 
                $response->HttpStatus(), 
                $response->HttpBody()
            ));
        }

        // parse the response
        $obj = json_decode($response->HttpBody());
        if (!$this->CheckJsonError()) {
            if (!isset($obj->users)) {
                return new Collection($this, '\OpenCloud\DbService\User', array());
            }
            return new Collection($this, '\OpenCloud\DbService\User', $obj->users);
        }
        return false;
    }

    /**
     * Generates the JSON string for Create()
     *
     * @return \stdClass
     */
    protected function CreateJson() 
    {
        $object = new \stdClass();
        $object->instance = new \stdClass();

        if (!isset($this->flavor)) {
            throw new Exceptions\InstanceFlavorError(Lang::translate('a flavor must be specified'));
        }

        if (!is_object($this->flavor)) {
            throw new Exceptions\InstanceFlavorError(Lang::translate('the [flavor] attribute must be a Flavor object'));
        }

        $object->instance->flavorRef = $this->flavor->links[0]->href;

        // name
        if (!isset($this->name)) {
            throw new Exceptions\InstanceError(Lang::translate('Instance name is required'));
        }

        $object->instance->name = $this->name;

        // volume
        $object->instance->volume = $this->volume;

        return $object;
    }

    /**
     * Generates the JSON object for Restart
     */
    private function RestartJson() 
    {
        $object = new \stdClass();
        $object->restart = new \stdClass();
        return $object;
    }

    /**
     * Generates the JSON object for Resize
     */
    private function ResizeJson($flavorRef) 
    {
        $object = new \stdClass();
        $object->resize = new \stdClass();
        $object->resize->flavorRef = $flavorRef;
        return $object;
    }

    /**
     * Generates the JSON object for ResizeVolume
     */
    private function ResizeVolumeJson($size) 
    {
        $object = new \stdClass();
        $object->resize = new \stdClass();
        $object->resize->volume = new \stdClass();
        $object->resize->volume->size = $size;
        return $object;
    }

}
";s:20:" * namespace_aliases";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}s:11:" * includes";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}s:12:" * constants";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}s:12:" * functions";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}s:10:" * classes";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{s:8:"Instance";O:40:"phpDocumentor\Descriptor\ClassDescriptor":17:{s:9:" * parent";s:34:"\OpenCloud\Common\PersistentObject";s:13:" * implements";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}s:11:" * abstract";b:0;s:8:" * final";b:0;s:12:" * constants";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}s:13:" * properties";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:13:{s:2:"id";O:43:"phpDocumentor\Descriptor\PropertyDescriptor":15:{s:9:" * parent";r:14;s:8:" * types";N;s:10:" * default";N;s:9:" * static";b:0;s:13:" * visibility";s:6:"public";s:8:" * fqsen";s:32:"\OpenCloud\Database\Instance::id";s:7:" * name";s:2:"id";s:12:" * namespace";N;s:10:" * package";s:12:"phpOpenCloud";s:10:" * summary";s:0:"";s:14:" * description";s:0:"";s:7:" * path";s:0:"";s:7:" * line";i:30;s:7:" * tags";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{s:8:"internal";N;}}s:9:" * errors";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{i:0;O:40:"phpDocumentor\Descriptor\Validator\Error":4:{s:11:" * severity";s:5:"error";s:7:" * code";s:13:"PPC:ERR-50007";s:7:" * line";i:30;s:10:" * context";a:1:{i:0;s:3:"$id";}}}}}s:4:"name";O:43:"phpDocumentor\Descriptor\PropertyDescriptor":15:{s:9:" * parent";r:14;s:8:" * types";N;s:10:" * default";N;s:9:" * static";b:0;s:13:" * visibility";s:6:"public";s:8:" * fqsen";s:34:"\OpenCloud\Database\Instance::name";s:7:" * name";s:4:"name";s:12:" * namespace";N;s:10:" * package";s:12:"phpOpenCloud";s:10:" * summary";s:0:"";s:14:" * description";s:0:"";s:7:" * path";s:0:"";s:7:" * line";i:31;s:7:" * tags";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{s:8:"internal";N;}}s:9:" * errors";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{i:0;O:40:"phpDocumentor\Descriptor\Validator\Error":4:{s:11:" * severity";s:5:"error";s:7:" * code";s:13:"PPC:ERR-50007";s:7:" * line";i:31;s:10:" * context";a:1:{i:0;s:5:"$name";}}}}}s:6:"status";O:43:"phpDocumentor\Descriptor\PropertyDescriptor":15:{s:9:" * parent";r:14;s:8:" * types";N;s:10:" * default";N;s:9:" * static";b:0;s:13:" * visibility";s:6:"public";s:8:" * fqsen";s:36:"\OpenCloud\Database\Instance::status";s:7:" * name";s:6:"status";s:12:" * namespace";N;s:10:" * package";s:12:"phpOpenCloud";s:10:" * summary";s:0:"";s:14:" * description";s:0:"";s:7:" * path";s:0:"";s:7:" * line";i:32;s:7:" * tags";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{s:8:"internal";N;}}s:9:" * errors";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{i:0;O:40:"phpDocumentor\Descriptor\Validator\Error":4:{s:11:" * severity";s:5:"error";s:7:" * code";s:13:"PPC:ERR-50007";s:7:" * line";i:32;s:10:" * context";a:1:{i:0;s:7:"$status";}}}}}s:5:"links";O:43:"phpDocumentor\Descriptor\PropertyDescriptor":15:{s:9:" * parent";r:14;s:8:" * types";N;s:10:" * default";N;s:9:" * static";b:0;s:13:" * visibility";s:6:"public";s:8:" * fqsen";s:35:"\OpenCloud\Database\Instance::links";s:7:" * name";s:5:"links";s:12:" * namespace";N;s:10:" * package";s:12:"phpOpenCloud";s:10:" * summary";s:0:"";s:14:" * description";s:0:"";s:7:" * path";s:0:"";s:7:" * line";i:33;s:7:" * tags";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{s:8:"internal";N;}}s:9:" * errors";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{i:0;O:40:"phpDocumentor\Descriptor\Validator\Error":4:{s:11:" * severity";s:5:"error";s:7:" * code";s:13:"PPC:ERR-50007";s:7:" * line";i:33;s:10:" * context";a:1:{i:0;s:6:"$links";}}}}}s:8:"hostname";O:43:"phpDocumentor\Descriptor\PropertyDescriptor":15:{s:9:" * parent";r:14;s:8:" * types";N;s:10:" * default";N;s:9:" * static";b:0;s:13:" * visibility";s:6:"public";s:8:" * fqsen";s:38:"\OpenCloud\Database\Instance::hostname";s:7:" * name";s:8:"hostname";s:12:" * namespace";N;s:10:" * package";s:12:"phpOpenCloud";s:10:" * summary";s:0:"";s:14:" * description";s:0:"";s:7:" * path";s:0:"";s:7:" * line";i:34;s:7:" * tags";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{s:8:"internal";N;}}s:9:" * errors";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{i:0;O:40:"phpDocumentor\Descriptor\Validator\Error":4:{s:11:" * severity";s:5:"error";s:7:" * code";s:13:"PPC:ERR-50007";s:7:" * line";i:34;s:10:" * context";a:1:{i:0;s:9:"$hostname";}}}}}s:6:"volume";O:43:"phpDocumentor\Descriptor\PropertyDescriptor":15:{s:9:" * parent";r:14;s:8:" * types";N;s:10:" * default";N;s:9:" * static";b:0;s:13:" * visibility";s:6:"public";s:8:" * fqsen";s:36:"\OpenCloud\Database\Instance::volume";s:7:" * name";s:6:"volume";s:12:" * namespace";N;s:10:" * package";s:12:"phpOpenCloud";s:10:" * summary";s:0:"";s:14:" * description";s:0:"";s:7:" * path";s:0:"";s:7:" * line";i:35;s:7:" * tags";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{s:8:"internal";N;}}s:9:" * errors";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{i:0;O:40:"phpDocumentor\Descriptor\Validator\Error":4:{s:11:" * severity";s:5:"error";s:7:" * code";s:13:"PPC:ERR-50007";s:7:" * line";i:35;s:10:" * context";a:1:{i:0;s:7:"$volume";}}}}}s:7:"created";O:43:"phpDocumentor\Descriptor\PropertyDescriptor":15:{s:9:" * parent";r:14;s:8:" * types";N;s:10:" * default";N;s:9:" * static";b:0;s:13:" * visibility";s:6:"public";s:8:" * fqsen";s:37:"\OpenCloud\Database\Instance::created";s:7:" * name";s:7:"created";s:12:" * namespace";N;s:10:" * package";s:12:"phpOpenCloud";s:10:" * summary";s:0:"";s:14:" * description";s:0:"";s:7:" * path";s:0:"";s:7:" * line";i:36;s:7:" * tags";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{s:8:"internal";N;}}s:9:" * errors";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{i:0;O:40:"phpDocumentor\Descriptor\Validator\Error":4:{s:11:" * severity";s:5:"error";s:7:" * code";s:13:"PPC:ERR-50007";s:7:" * line";i:36;s:10:" * context";a:1:{i:0;s:8:"$created";}}}}}s:7:"updated";O:43:"phpDocumentor\Descriptor\PropertyDescriptor":15:{s:9:" * parent";r:14;s:8:" * types";N;s:10:" * default";N;s:9:" * static";b:0;s:13:" * visibility";s:6:"public";s:8:" * fqsen";s:37:"\OpenCloud\Database\Instance::updated";s:7:" * name";s:7:"updated";s:12:" * namespace";N;s:10:" * package";s:12:"phpOpenCloud";s:10:" * summary";s:0:"";s:14:" * description";s:0:"";s:7:" * path";s:0:"";s:7:" * line";i:37;s:7:" * tags";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{s:8:"internal";N;}}s:9:" * errors";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{i:0;O:40:"phpDocumentor\Descriptor\Validator\Error":4:{s:11:" * severity";s:5:"error";s:7:" * code";s:13:"PPC:ERR-50007";s:7:" * line";i:37;s:10:" * context";a:1:{i:0;s:8:"$updated";}}}}}s:6:"flavor";O:43:"phpDocumentor\Descriptor\PropertyDescriptor":15:{s:9:" * parent";r:14;s:8:" * types";N;s:10:" * default";N;s:9:" * static";b:0;s:13:" * visibility";s:6:"public";s:8:" * fqsen";s:36:"\OpenCloud\Database\Instance::flavor";s:7:" * name";s:6:"flavor";s:12:" * namespace";N;s:10:" * package";s:12:"phpOpenCloud";s:10:" * summary";s:0:"";s:14:" * description";s:0:"";s:7:" * path";s:0:"";s:7:" * line";i:38;s:7:" * tags";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{s:8:"internal";N;}}s:9:" * errors";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{i:0;O:40:"phpDocumentor\Descriptor\Validator\Error":4:{s:11:" * severity";s:5:"error";s:7:" * code";s:13:"PPC:ERR-50007";s:7:" * line";i:38;s:10:" * context";a:1:{i:0;s:7:"$flavor";}}}}}s:9:"json_name";O:43:"phpDocumentor\Descriptor\PropertyDescriptor":15:{s:9:" * parent";r:14;s:8:" * types";N;s:10:" * default";s:10:"'instance'";s:9:" * static";b:1;s:13:" * visibility";s:9:"protected";s:8:" * fqsen";s:39:"\OpenCloud\Database\Instance::json_name";s:7:" * name";s:9:"json_name";s:12:" * namespace";N;s:10:" * package";s:12:"phpOpenCloud";s:10:" * summary";s:0:"";s:14:" * description";s:0:"";s:7:" * path";s:0:"";s:7:" * line";i:40;s:7:" * tags";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{s:8:"internal";N;}}s:9:" * errors";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{i:0;O:40:"phpDocumentor\Descriptor\Validator\Error":4:{s:11:" * severity";s:5:"error";s:7:" * code";s:13:"PPC:ERR-50007";s:7:" * line";i:40;s:10:" * context";a:1:{i:0;s:10:"$json_name";}}}}}s:12:"url_resource";O:43:"phpDocumentor\Descriptor\PropertyDescriptor":15:{s:9:" * parent";r:14;s:8:" * types";N;s:10:" * default";s:11:"'instances'";s:9:" * static";b:1;s:13:" * visibility";s:9:"protected";s:8:" * fqsen";s:42:"\OpenCloud\Database\Instance::url_resource";s:7:" * name";s:12:"url_resource";s:12:" * namespace";N;s:10:" * package";s:12:"phpOpenCloud";s:10:" * summary";s:0:"";s:14:" * description";s:0:"";s:7:" * path";s:0:"";s:7:" * line";i:41;s:7:" * tags";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{s:8:"internal";N;}}s:9:" * errors";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{i:0;O:40:"phpDocumentor\Descriptor\Validator\Error":4:{s:11:" * severity";s:5:"error";s:7:" * code";s:13:"PPC:ERR-50007";s:7:" * line";i:41;s:10:" * context";a:1:{i:0;s:13:"$url_resource";}}}}}s:10:"_databases";O:43:"phpDocumentor\Descriptor\PropertyDescriptor":15:{s:9:" * parent";r:14;s:8:" * types";N;s:10:" * default";N;s:9:" * static";b:0;s:13:" * visibility";s:7:"private";s:8:" * fqsen";s:40:"\OpenCloud\Database\Instance::_databases";s:7:" * name";s:10:"_databases";s:12:" * namespace";N;s:10:" * package";s:12:"phpOpenCloud";s:10:" * summary";s:0:"";s:14:" * description";s:0:"";s:7:" * path";s:0:"";s:7:" * line";i:43;s:7:" * tags";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{s:8:"internal";N;}}s:9:" * errors";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{i:0;O:40:"phpDocumentor\Descriptor\Validator\Error":4:{s:11:" * severity";s:5:"error";s:7:" * code";s:13:"PPC:ERR-50007";s:7:" * line";i:43;s:10:" * context";a:1:{i:0;s:11:"$_databases";}}}}}s:6:"_users";O:43:"phpDocumentor\Descriptor\PropertyDescriptor":15:{s:9:" * parent";r:14;s:8:" * types";N;s:10:" * default";N;s:9:" * static";b:0;s:13:" * visibility";s:7:"private";s:8:" * fqsen";s:36:"\OpenCloud\Database\Instance::_users";s:7:" * name";s:6:"_users";s:12:" * namespace";N;s:10:" * package";s:12:"phpOpenCloud";s:10:" * summary";s:0:"";s:14:" * description";s:0:"";s:7:" * path";s:0:"";s:7:" * line";i:44;s:7:" * tags";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{s:8:"internal";N;}}s:9:" * errors";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{i:0;O:40:"phpDocumentor\Descriptor\Validator\Error":4:{s:11:" * severity";s:5:"error";s:7:" * code";s:13:"PPC:ERR-50007";s:7:" * line";i:44;s:10:" * context";a:1:{i:0;s:7:"$_users";}}}}}}}s:10:" * methods";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:15:{s:11:"__construct";O:41:"phpDocumentor\Descriptor\MethodDescriptor":16:{s:9:" * parent";r:14;s:11:" * abstract";b:0;s:8:" * final";b:0;s:9:" * static";b:0;s:13:" * visibility";s:6:"public";s:12:" * arguments";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:2:{s:8:"$service";O:43:"phpDocumentor\Descriptor\ArgumentDescriptor":13:{s:8:" * types";a:1:{i:0;s:20:"\OpenCloud\DbService";}s:10:" * default";N;s:14:" * byReference";b:0;s:8:" * fqsen";s:0:"";s:7:" * name";s:8:"$service";s:12:" * namespace";N;s:10:" * package";N;s:10:" * summary";s:0:"";s:14:" * description";s:46:"the DbService object associated
     with this";s:7:" * path";s:0:"";s:7:" * line";i:0;s:7:" * tags";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}s:9:" * errors";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}}s:5:"$info";O:43:"phpDocumentor\Descriptor\ArgumentDescriptor":13:{s:8:" * types";a:1:{i:0;s:5:"mixed";}s:10:" * default";s:4:"null";s:14:" * byReference";b:0;s:8:" * fqsen";s:0:"";s:7:" * name";s:5:"$info";s:12:" * namespace";N;s:10:" * package";N;s:10:" * summary";s:0:"";s:14:" * description";s:38:"the ID or array of info for the object";s:7:" * path";s:0:"";s:7:" * line";i:0;s:7:" * tags";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}s:9:" * errors";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}}}}s:8:" * fqsen";s:43:"\OpenCloud\Database\Instance::__construct()";s:7:" * name";s:11:"__construct";s:12:" * namespace";N;s:10:" * package";s:12:"phpOpenCloud";s:10:" * summary";s:29:"Creates a new instance object";s:14:" * description";s:104:"This could use the default constructor, but we want to make sure that
the volume attribute is an object.";s:7:" * path";s:0:"";s:7:" * line";i:56;s:7:" * tags";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:2:{s:5:"param";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:2:{i:0;O:44:"phpDocumentor\Descriptor\Tag\ParamDescriptor":4:{s:15:" * variableName";s:8:"$service";s:8:" * types";a:1:{i:0;s:20:"\OpenCloud\DbService";}s:7:" * name";s:5:"param";s:14:" * description";s:46:"the DbService object associated
     with this";}i:1;O:44:"phpDocumentor\Descriptor\Tag\ParamDescriptor":4:{s:15:" * variableName";s:5:"$info";s:8:" * types";a:1:{i:0;s:5:"mixed";}s:7:" * name";s:5:"param";s:14:" * description";s:38:"the ID or array of info for the object";}}}s:8:"internal";N;}}s:9:" * errors";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}}s:6:"Update";O:41:"phpDocumentor\Descriptor\MethodDescriptor":16:{s:9:" * parent";r:14;s:11:" * abstract";b:0;s:8:" * final";b:0;s:9:" * static";b:0;s:13:" * visibility";s:6:"public";s:12:" * arguments";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{s:7:"$params";O:43:"phpDocumentor\Descriptor\ArgumentDescriptor":13:{s:8:" * types";a:0:{}s:10:" * default";s:7:"array()";s:14:" * byReference";b:0;s:8:" * fqsen";s:0:"";s:7:" * name";s:7:"$params";s:12:" * namespace";N;s:10:" * package";N;s:10:" * summary";s:0:"";s:14:" * description";s:0:"";s:7:" * path";s:0:"";s:7:" * line";i:0;s:7:" * tags";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}s:9:" * errors";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}}}}s:8:" * fqsen";s:38:"\OpenCloud\Database\Instance::Update()";s:7:" * name";s:6:"Update";s:12:" * namespace";N;s:10:" * package";s:12:"phpOpenCloud";s:10:" * summary";s:43:"Updates a database instance (not permitted)";s:14:" * description";s:87:"Update() is not supported by database instances; thus, this always
throws an exception.";s:7:" * path";s:0:"";s:7:" * line";i:70;s:7:" * tags";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:3:{s:6:"throws";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{i:0;O:45:"phpDocumentor\Descriptor\Tag\ThrowsDescriptor":3:{s:8:" * types";a:1:{i:0;s:39:"\OpenCloud\Database\InstanceUpdateError";}s:7:" * name";s:6:"throws";s:14:" * description";s:6:"always";}}}s:5:"param";a:0:{}s:8:"internal";N;}}s:9:" * errors";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}}s:7:"Restart";O:41:"phpDocumentor\Descriptor\MethodDescriptor":16:{s:9:" * parent";r:14;s:11:" * abstract";b:0;s:8:" * final";b:0;s:9:" * static";b:0;s:13:" * visibility";s:6:"public";s:12:" * arguments";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}s:8:" * fqsen";s:39:"\OpenCloud\Database\Instance::Restart()";s:7:" * name";s:7:"Restart";s:12:" * namespace";N;s:10:" * package";s:12:"phpOpenCloud";s:10:" * summary";s:30:"Restarts the database instance";s:14:" * description";s:0:"";s:7:" * path";s:0:"";s:7:" * line";i:83;s:7:" * tags";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:3:{s:3:"api";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{i:0;O:38:"phpDocumentor\Descriptor\TagDescriptor":2:{s:7:" * name";s:3:"api";s:14:" * description";s:0:"";}}}s:7:"returns";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{i:0;O:38:"phpDocumentor\Descriptor\TagDescriptor":2:{s:7:" * name";s:7:"returns";s:14:" * description";s:23:"\OpenCloud\HttpResponse";}}}s:8:"internal";N;}}s:9:" * errors";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}}s:6:"Resize";O:41:"phpDocumentor\Descriptor\MethodDescriptor":16:{s:9:" * parent";r:14;s:11:" * abstract";b:0;s:8:" * final";b:0;s:9:" * static";b:0;s:13:" * visibility";s:6:"public";s:12:" * arguments";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{s:7:"$flavor";O:43:"phpDocumentor\Descriptor\ArgumentDescriptor":13:{s:8:" * types";a:1:{i:0;s:25:"\OpenCloud\Compute\Flavor";}s:10:" * default";N;s:14:" * byReference";b:0;s:8:" * fqsen";s:0:"";s:7:" * name";s:7:"$flavor";s:12:" * namespace";N;s:10:" * package";N;s:10:" * summary";s:0:"";s:14:" * description";s:15:"a flavor object";s:7:" * path";s:0:"";s:7:" * line";i:0;s:7:" * tags";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}s:9:" * errors";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}}}}s:8:" * fqsen";s:38:"\OpenCloud\Database\Instance::Resize()";s:7:" * name";s:6:"Resize";s:12:" * namespace";N;s:10:" * package";s:12:"phpOpenCloud";s:10:" * summary";s:40:"Resizes the database instance (sets RAM)";s:14:" * description";s:0:"";s:7:" * path";s:0:"";s:7:" * line";i:95;s:7:" * tags";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:4:{s:3:"api";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{i:0;O:38:"phpDocumentor\Descriptor\TagDescriptor":2:{s:7:" * name";s:3:"api";s:14:" * description";s:0:"";}}}s:5:"param";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{i:0;O:44:"phpDocumentor\Descriptor\Tag\ParamDescriptor":4:{s:15:" * variableName";s:7:"$flavor";s:8:" * types";a:1:{i:0;s:25:"\OpenCloud\Compute\Flavor";}s:7:" * name";s:5:"param";s:14:" * description";s:15:"a flavor object";}}}s:7:"returns";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{i:0;O:38:"phpDocumentor\Descriptor\TagDescriptor":2:{s:7:" * name";s:7:"returns";s:14:" * description";s:23:"\OpenCloud\HttpResponse";}}}s:8:"internal";N;}}s:9:" * errors";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}}s:12:"ResizeVolume";O:41:"phpDocumentor\Descriptor\MethodDescriptor":16:{s:9:" * parent";r:14;s:11:" * abstract";b:0;s:8:" * final";b:0;s:9:" * static";b:0;s:13:" * visibility";s:6:"public";s:12:" * arguments";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{s:14:"$newvolumesize";O:43:"phpDocumentor\Descriptor\ArgumentDescriptor":13:{s:8:" * types";a:1:{i:0;s:7:"integer";}s:10:" * default";N;s:14:" * byReference";b:0;s:8:" * fqsen";s:0:"";s:7:" * name";s:14:"$newvolumesize";s:12:" * namespace";N;s:10:" * package";N;s:10:" * summary";s:0:"";s:14:" * description";s:40:"the size of the new volume, in gigabytes";s:7:" * path";s:0:"";s:7:" * line";i:0;s:7:" * tags";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}s:9:" * errors";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}}}}s:8:" * fqsen";s:44:"\OpenCloud\Database\Instance::ResizeVolume()";s:7:" * name";s:12:"ResizeVolume";s:12:" * namespace";N;s:10:" * package";s:12:"phpOpenCloud";s:10:" * summary";s:69:"Resizes the volume associated with the database instance (disk space)";s:14:" * description";s:0:"";s:7:" * path";s:0:"";s:7:" * line";i:107;s:7:" * tags";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:4:{s:3:"api";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{i:0;O:38:"phpDocumentor\Descriptor\TagDescriptor":2:{s:7:" * name";s:3:"api";s:14:" * description";s:0:"";}}}s:5:"param";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{i:0;O:44:"phpDocumentor\Descriptor\Tag\ParamDescriptor":4:{s:15:" * variableName";s:14:"$newvolumesize";s:8:" * types";a:1:{i:0;s:7:"integer";}s:7:" * name";s:5:"param";s:14:" * description";s:40:"the size of the new volume, in gigabytes";}}}s:6:"return";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{i:0;O:45:"phpDocumentor\Descriptor\Tag\ReturnDescriptor":3:{s:8:" * types";a:1:{i:0;s:23:"\OpenCloud\HttpResponse";}s:7:" * name";s:6:"return";s:14:" * description";s:0:"";}}}s:8:"internal";N;}}s:9:" * errors";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}}s:14:"EnableRootUser";O:41:"phpDocumentor\Descriptor\MethodDescriptor":16:{s:9:" * parent";r:14;s:11:" * abstract";b:0;s:8:" * final";b:0;s:9:" * static";b:0;s:13:" * visibility";s:6:"public";s:12:" * arguments";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}s:8:" * fqsen";s:46:"\OpenCloud\Database\Instance::EnableRootUser()";s:7:" * name";s:14:"EnableRootUser";s:12:" * namespace";N;s:10:" * package";s:12:"phpOpenCloud";s:10:" * summary";s:38:"Enables the root user for the instance";s:14:" * description";s:0:"";s:7:" * path";s:0:"";s:7:" * line";i:119;s:7:" * tags";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:4:{s:3:"api";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{i:0;O:38:"phpDocumentor\Descriptor\TagDescriptor":2:{s:7:" * name";s:3:"api";s:14:" * description";s:0:"";}}}s:6:"return";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{i:0;O:45:"phpDocumentor\Descriptor\Tag\ReturnDescriptor":3:{s:8:" * types";a:1:{i:0;s:24:"\OpenCloud\Database\User";}s:7:" * name";s:6:"return";s:14:" * description";s:42:"the root user, including name and password";}}}s:6:"throws";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{i:0;O:45:"phpDocumentor\Descriptor\Tag\ThrowsDescriptor":3:{s:8:" * types";a:1:{i:0;s:33:"\OpenCloud\Database\InstanceError";}s:7:" * name";s:6:"throws";s:14:" * description";s:31:"if HTTP response is not Success";}}}s:8:"internal";N;}}s:9:" * errors";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}}s:13:"IsRootEnabled";O:41:"phpDocumentor\Descriptor\MethodDescriptor":16:{s:9:" * parent";r:14;s:11:" * abstract";b:0;s:8:" * final";b:0;s:9:" * static";b:0;s:13:" * visibility";s:6:"public";s:12:" * arguments";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}s:8:" * fqsen";s:45:"\OpenCloud\Database\Instance::IsRootEnabled()";s:7:" * name";s:13:"IsRootEnabled";s:12:" * namespace";N;s:10:" * package";s:12:"phpOpenCloud";s:10:" * summary";s:40:"Returns TRUE if the root user is enabled";s:14:" * description";s:0:"";s:7:" * path";s:0:"";s:7:" * line";i:153;s:7:" * tags";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:4:{s:3:"api";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{i:0;O:38:"phpDocumentor\Descriptor\TagDescriptor":2:{s:7:" * name";s:3:"api";s:14:" * description";s:0:"";}}}s:6:"return";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{i:0;O:45:"phpDocumentor\Descriptor\Tag\ReturnDescriptor":3:{s:8:" * types";a:1:{i:0;s:7:"boolean";}s:7:" * name";s:6:"return";s:14:" * description";s:49:"TRUE if the root user is enabled; FALSE otherwise";}}}s:6:"throws";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{i:0;O:45:"phpDocumentor\Descriptor\Tag\ThrowsDescriptor":3:{s:8:" * types";a:1:{i:0;s:33:"\OpenCloud\Database\InstanceError";}s:7:" * name";s:6:"throws";s:14:" * description";s:29:"if HTTP status is not Success";}}}s:8:"internal";N;}}s:9:" * errors";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}}s:8:"Database";O:41:"phpDocumentor\Descriptor\MethodDescriptor":16:{s:9:" * parent";r:14;s:11:" * abstract";b:0;s:8:" * final";b:0;s:9:" * static";b:0;s:13:" * visibility";s:6:"public";s:12:" * arguments";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{s:5:"$name";O:43:"phpDocumentor\Descriptor\ArgumentDescriptor":13:{s:8:" * types";a:1:{i:0;s:6:"string";}s:10:" * default";s:2:"''";s:14:" * byReference";b:0;s:8:" * fqsen";s:0:"";s:7:" * name";s:5:"$name";s:12:" * namespace";N;s:10:" * package";N;s:10:" * summary";s:0:"";s:14:" * description";s:17:"the database name";s:7:" * path";s:0:"";s:7:" * line";i:0;s:7:" * tags";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}s:9:" * errors";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}}}}s:8:" * fqsen";s:40:"\OpenCloud\Database\Instance::Database()";s:7:" * name";s:8:"Database";s:12:" * namespace";N;s:10:" * package";s:12:"phpOpenCloud";s:10:" * summary";s:29:"Returns a new Database object";s:14:" * description";s:0:"";s:7:" * path";s:0:"";s:7:" * line";i:186;s:7:" * tags";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:3:{s:5:"param";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{i:0;O:44:"phpDocumentor\Descriptor\Tag\ParamDescriptor":4:{s:15:" * variableName";s:5:"$name";s:8:" * types";a:1:{i:0;s:6:"string";}s:7:" * name";s:5:"param";s:14:" * description";s:17:"the database name";}}}s:6:"return";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{i:0;O:45:"phpDocumentor\Descriptor\Tag\ReturnDescriptor":3:{s:8:" * types";a:1:{i:0;s:28:"\OpenCloud\Database\Database";}s:7:" * name";s:6:"return";s:14:" * description";s:0:"";}}}s:8:"internal";N;}}s:9:" * errors";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}}s:4:"User";O:41:"phpDocumentor\Descriptor\MethodDescriptor":16:{s:9:" * parent";r:14;s:11:" * abstract";b:0;s:8:" * final";b:0;s:9:" * static";b:0;s:13:" * visibility";s:6:"public";s:12:" * arguments";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:2:{s:5:"$name";O:43:"phpDocumentor\Descriptor\ArgumentDescriptor":13:{s:8:" * types";a:1:{i:0;s:6:"string";}s:10:" * default";s:2:"''";s:14:" * byReference";b:0;s:8:" * fqsen";s:0:"";s:7:" * name";s:5:"$name";s:12:" * namespace";N;s:10:" * package";N;s:10:" * summary";s:0:"";s:14:" * description";s:13:"the user name";s:7:" * path";s:0:"";s:7:" * line";i:0;s:7:" * tags";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}s:9:" * errors";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}}s:10:"$databases";O:43:"phpDocumentor\Descriptor\ArgumentDescriptor":13:{s:8:" * types";a:1:{i:0;s:5:"array";}s:10:" * default";s:7:"array()";s:14:" * byReference";b:0;s:8:" * fqsen";s:0:"";s:7:" * name";s:10:"$databases";s:12:" * namespace";N;s:10:" * package";N;s:10:" * summary";s:0:"";s:14:" * description";s:32:"a simple array of database names";s:7:" * path";s:0:"";s:7:" * line";i:0;s:7:" * tags";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}s:9:" * errors";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}}}}s:8:" * fqsen";s:36:"\OpenCloud\Database\Instance::User()";s:7:" * name";s:4:"User";s:12:" * namespace";N;s:10:" * package";s:12:"phpOpenCloud";s:10:" * summary";s:25:"Returns a new User object";s:14:" * description";s:0:"";s:7:" * path";s:0:"";s:7:" * line";i:198;s:7:" * tags";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:3:{s:5:"param";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:2:{i:0;O:44:"phpDocumentor\Descriptor\Tag\ParamDescriptor":4:{s:15:" * variableName";s:5:"$name";s:8:" * types";a:1:{i:0;s:6:"string";}s:7:" * name";s:5:"param";s:14:" * description";s:13:"the user name";}i:1;O:44:"phpDocumentor\Descriptor\Tag\ParamDescriptor":4:{s:15:" * variableName";s:10:"$databases";s:8:" * types";a:1:{i:0;s:5:"array";}s:7:" * name";s:5:"param";s:14:" * description";s:32:"a simple array of database names";}}}s:6:"return";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{i:0;O:45:"phpDocumentor\Descriptor\Tag\ReturnDescriptor":3:{s:8:" * types";a:1:{i:0;s:24:"\OpenCloud\Database\User";}s:7:" * name";s:6:"return";s:14:" * description";s:0:"";}}}s:8:"internal";N;}}s:9:" * errors";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}}s:12:"DatabaseList";O:41:"phpDocumentor\Descriptor\MethodDescriptor":16:{s:9:" * parent";r:14;s:11:" * abstract";b:0;s:8:" * final";b:0;s:9:" * static";b:0;s:13:" * visibility";s:6:"public";s:12:" * arguments";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}s:8:" * fqsen";s:44:"\OpenCloud\Database\Instance::DatabaseList()";s:7:" * name";s:12:"DatabaseList";s:12:" * namespace";N;s:10:" * package";s:12:"phpOpenCloud";s:10:" * summary";s:53:"Returns a Collection of all databases in the instance";s:14:" * description";s:0:"";s:7:" * path";s:0:"";s:7:" * line";i:209;s:7:" * tags";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:3:{s:6:"return";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{i:0;O:45:"phpDocumentor\Descriptor\Tag\ReturnDescriptor":3:{s:8:" * types";a:1:{i:0;s:28:"\OpenCloud\Common\Collection";}s:7:" * name";s:6:"return";s:14:" * description";s:0:"";}}}s:6:"throws";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{i:0;O:45:"phpDocumentor\Descriptor\Tag\ThrowsDescriptor":3:{s:8:" * types";a:1:{i:0;s:37:"\OpenCloud\Database\DatabaseListError";}s:7:" * name";s:6:"throws";s:14:" * description";s:29:"if HTTP status is not Success";}}}s:8:"internal";N;}}s:9:" * errors";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}}s:8:"UserList";O:41:"phpDocumentor\Descriptor\MethodDescriptor":16:{s:9:" * parent";r:14;s:11:" * abstract";b:0;s:8:" * final";b:0;s:9:" * static";b:0;s:13:" * visibility";s:6:"public";s:12:" * arguments";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}s:8:" * fqsen";s:40:"\OpenCloud\Database\Instance::UserList()";s:7:" * name";s:8:"UserList";s:12:" * namespace";N;s:10:" * package";s:12:"phpOpenCloud";s:10:" * summary";s:49:"Returns a Collection of all users in the instance";s:14:" * description";s:0:"";s:7:" * path";s:0:"";s:7:" * line";i:241;s:7:" * tags";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:3:{s:6:"return";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{i:0;O:45:"phpDocumentor\Descriptor\Tag\ReturnDescriptor":3:{s:8:" * types";a:1:{i:0;s:28:"\OpenCloud\Common\Collection";}s:7:" * name";s:6:"return";s:14:" * description";s:0:"";}}}s:6:"throws";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{i:0;O:45:"phpDocumentor\Descriptor\Tag\ThrowsDescriptor":3:{s:8:" * types";a:1:{i:0;s:33:"\OpenCloud\Database\UserListError";}s:7:" * name";s:6:"throws";s:14:" * description";s:29:"if HTTP status is not Success";}}}s:8:"internal";N;}}s:9:" * errors";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}}s:10:"CreateJson";O:41:"phpDocumentor\Descriptor\MethodDescriptor":16:{s:9:" * parent";r:14;s:11:" * abstract";b:0;s:8:" * final";b:0;s:9:" * static";b:0;s:13:" * visibility";s:9:"protected";s:12:" * arguments";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}s:8:" * fqsen";s:42:"\OpenCloud\Database\Instance::CreateJson()";s:7:" * name";s:10:"CreateJson";s:12:" * namespace";N;s:10:" * package";s:12:"phpOpenCloud";s:10:" * summary";s:38:"Generates the JSON string for Create()";s:14:" * description";s:0:"";s:7:" * path";s:0:"";s:7:" * line";i:271;s:7:" * tags";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:2:{s:6:"return";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{i:0;O:45:"phpDocumentor\Descriptor\Tag\ReturnDescriptor":3:{s:8:" * types";a:1:{i:0;s:9:"\stdClass";}s:7:" * name";s:6:"return";s:14:" * description";s:0:"";}}}s:8:"internal";N;}}s:9:" * errors";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}}s:11:"RestartJson";O:41:"phpDocumentor\Descriptor\MethodDescriptor":16:{s:9:" * parent";r:14;s:11:" * abstract";b:0;s:8:" * final";b:0;s:9:" * static";b:0;s:13:" * visibility";s:7:"private";s:12:" * arguments";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}s:8:" * fqsen";s:43:"\OpenCloud\Database\Instance::RestartJson()";s:7:" * name";s:11:"RestartJson";s:12:" * namespace";N;s:10:" * package";s:12:"phpOpenCloud";s:10:" * summary";s:37:"Generates the JSON object for Restart";s:14:" * description";s:0:"";s:7:" * path";s:0:"";s:7:" * line";i:302;s:7:" * tags";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{s:8:"internal";N;}}s:9:" * errors";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}}s:10:"ResizeJson";O:41:"phpDocumentor\Descriptor\MethodDescriptor":16:{s:9:" * parent";r:14;s:11:" * abstract";b:0;s:8:" * final";b:0;s:9:" * static";b:0;s:13:" * visibility";s:7:"private";s:12:" * arguments";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{s:10:"$flavorRef";O:43:"phpDocumentor\Descriptor\ArgumentDescriptor":13:{s:8:" * types";a:0:{}s:10:" * default";N;s:14:" * byReference";b:0;s:8:" * fqsen";s:0:"";s:7:" * name";s:10:"$flavorRef";s:12:" * namespace";N;s:10:" * package";N;s:10:" * summary";s:0:"";s:14:" * description";s:0:"";s:7:" * path";s:0:"";s:7:" * line";i:0;s:7:" * tags";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}s:9:" * errors";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}}}}s:8:" * fqsen";s:42:"\OpenCloud\Database\Instance::ResizeJson()";s:7:" * name";s:10:"ResizeJson";s:12:" * namespace";N;s:10:" * package";s:12:"phpOpenCloud";s:10:" * summary";s:36:"Generates the JSON object for Resize";s:14:" * description";s:0:"";s:7:" * path";s:0:"";s:7:" * line";i:312;s:7:" * tags";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:2:{s:5:"param";a:0:{}s:8:"internal";N;}}s:9:" * errors";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}}s:16:"ResizeVolumeJson";O:41:"phpDocumentor\Descriptor\MethodDescriptor":16:{s:9:" * parent";r:14;s:11:" * abstract";b:0;s:8:" * final";b:0;s:9:" * static";b:0;s:13:" * visibility";s:7:"private";s:12:" * arguments";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{s:5:"$size";O:43:"phpDocumentor\Descriptor\ArgumentDescriptor":13:{s:8:" * types";a:0:{}s:10:" * default";N;s:14:" * byReference";b:0;s:8:" * fqsen";s:0:"";s:7:" * name";s:5:"$size";s:12:" * namespace";N;s:10:" * package";N;s:10:" * summary";s:0:"";s:14:" * description";s:0:"";s:7:" * path";s:0:"";s:7:" * line";i:0;s:7:" * tags";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}s:9:" * errors";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}}}}s:8:" * fqsen";s:48:"\OpenCloud\Database\Instance::ResizeVolumeJson()";s:7:" * name";s:16:"ResizeVolumeJson";s:12:" * namespace";N;s:10:" * package";s:12:"phpOpenCloud";s:10:" * summary";s:42:"Generates the JSON object for ResizeVolume";s:14:" * description";s:0:"";s:7:" * path";s:0:"";s:7:" * line";i:323;s:7:" * tags";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:2:{s:5:"param";a:0:{}s:8:"internal";N;}}s:9:" * errors";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}}}}s:8:" * fqsen";s:28:"\OpenCloud\Database\Instance";s:7:" * name";s:8:"Instance";s:12:" * namespace";s:19:"\OpenCloud\Database";s:10:" * package";s:12:"phpOpenCloud";s:10:" * summary";s:86:"Instance represents an instance of DbService, similar to a Server in a
Compute service";s:14:" * description";s:0:"";s:7:" * path";r:1;s:7:" * line";i:27;s:7:" * tags";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{s:6:"author";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{i:0;O:45:"phpDocumentor\Descriptor\Tag\AuthorDescriptor":2:{s:7:" * name";s:6:"author";s:14:" * description";s:43:"Glen Campbell <glen.campbell@rackspace.com>";}}}}}s:9:" * errors";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}}}}s:13:" * interfaces";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}s:9:" * traits";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}s:10:" * markers";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}s:8:" * fqsen";s:0:"";s:7:" * name";s:12:"Instance.php";s:12:" * namespace";N;s:10:" * package";s:12:"phpOpenCloud";s:10:" * summary";s:56:"A Cloud Databases instance (similar to a Compute Server)";s:14:" * description";s:0:"";s:7:" * path";s:31:"OpenCloud/Database/Instance.php";s:7:" * line";i:0;s:7:" * tags";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:4:{s:9:"copyright";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{i:0;O:38:"phpDocumentor\Descriptor\TagDescriptor":2:{s:7:" * name";s:9:"copyright";s:14:" * description";s:71:"2012-2013 Rackspace Hosting, Inc.
See COPYING for licensing information";}}}s:7:"package";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{i:0;O:38:"phpDocumentor\Descriptor\TagDescriptor":2:{s:7:" * name";s:7:"package";s:14:" * description";s:12:"phpOpenCloud";}}}s:7:"version";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{i:0;O:38:"phpDocumentor\Descriptor\TagDescriptor":2:{s:7:" * name";s:7:"version";s:14:" * description";s:0:"";}}}s:6:"author";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:1:{i:0;O:45:"phpDocumentor\Descriptor\Tag\AuthorDescriptor":2:{s:7:" * name";s:6:"author";s:14:" * description";s:43:"Glen Campbell <glen.campbell@rackspace.com>";}}}}}s:9:" * errors";O:35:"phpDocumentor\Descriptor\Collection":1:{s:8:" * items";a:0:{}}}